# -*- coding: utf-8 -*-

import json
import traceback

from em_tasks.tasks.shopify_task import ShopifyTask


from celery.exceptions import Ignore
from celery.exceptions import Reject
from celery.utils.log import get_task_logger

from em_celery.tasks.base import BaseTask
from em_celery.worker import app

logger = get_task_logger(__name__)


@app.task(base=BaseTask, bind=True, acks_late=True)
def upload_shopify_product(self, store_code, prod):
  self.init_task()

  try:
    seller_id = prod.pop('seller_id', None)
    if not seller_id:
      return

    shopify_task = ShopifyTask()
    shopify_task.create_product(store_code, seller_id, prod)
  except Exception as e:
    logger.exception(e)
    raise Ignore()
