# -*- coding: utf-8 -*-

import json

import click

from em_tasks.store.store_util import StoreUtil
from em_tasks.tasks.bing_ads_insights_task import BingAdsInsightsTask
from em_tasks.store.models import *

from em_celery import logger, init_db


@click.command('Load Bing Ads insights')
@click.option('-a', '--account_id', required=True, type=str)
@click.option('-v', '--version', type=int, default=13, help='Bing Ads API version.')
def load_insights(account_id, version=13):
  init_db()

  task = BingAdsInsightsTask(account_id, version=version)
  task.run()


if __name__ == "__main__":
  load_insights()
