# -*- coding: utf-8 -*-

import click

from em_tasks.utils.ebay_uploadable_products_filter import EbayUploadableProductsFilter

from em_celery import logger, init_db, get_product_service


@click.command('Filter ebay uploable products.')
@click.option('-m', '--marketplace', type=str, default='us')
@click.option('-o', '--output_path', type=str, required=True)
def filter_products(output_path, marketplace='us'):
  init_db()
  product_service = get_product_service()

  ebay_filter = EbayUploadableProductsFilter(marketplace, product_service, output_path)
  ebay_filter.filter()


if __name__ == '__main__':
  filter_products()
