# -*- coding: utf-8 -*-

import json

import click

from em_tasks.store.store_util import StoreUtil
from em_tasks.tasks.google_ads_insights_task import GoogleAdsInsightsTask
from em_tasks.store.models import *

from em_celery import logger, init_db


@click.command('Load Google Ads insights')
@click.option('-c', '--customer_id', required=True, type=str)
@click.option('-d', '--developer_token', required=True, type=str)
@click.option('-v', '--version', type=str, default='v15')
@click.option('-d', '--days', type=int, default=7, help='Days to process.')
def load_insights(customer_id, developer_token, days=7, version='v15'):
  init_db()

  task = GoogleAdsInsightsTask(customer_id, developer_token, version=version, days=days)
  task.run()


if __name__ == "__main__":
  load_insights()
