# -*- coding: utf-8 -*-

import datetime
import pdb

import click

from em_celery import logger, init_db, get_config
from em_tasks.utils.shipstation_orders_syncer import ShipstationOrdersSyncer
from em_tasks.store.models import *


@click.command('Sync orders to Shipstation')
@click.option('-d', '--days', type=int, default=14)
def sync_orders(days=14):
  init_db()

  cfg = get_config()
  ss_cfg = cfg['shipstation']

  syncer = ShipstationOrdersSyncer(ss_cfg['api_key'], ss_cfg['api_secret'], ss_cfg['pl_store_id'], days)
  syncer.run()


if __name__ == "__main__":
  sync_orders()
