# -*- coding: utf-8 -*-

import datetime
import json
import pdb

import click

from em_celery import logger, init_db
from em_tasks.store.store_util import StoreUtil
from em_tasks.shopify.order_util import OrderUtil
from em_tasks.store.models import *


@click.command('Upload order tracking')
@click.option('-s', '--store_code', required=True, type=str, help='Store code.')
@click.option('-d', '--days', type=int, default=14)
def upload_trackings(store_code, days=14):
  init_db()

  store = StoreUtil.get_store_by_code(store_code)
  if not store:
    logger.warning('[StoreNotFound] %s', store_code)
    return

  credential = json.loads(store.api_credential)
  order_util = OrderUtil(credential['name'], credential['token'], credential.get('release', None))
  order_util.upload_trackings(days)


if __name__ == "__main__":
  upload_trackings()
